Subject: Re: [mile] [IANA #983750] Last Call: <draft-ietf-mile-rolie-10.txt> (Resource-Oriented Lightweight Information Exchange) to Proposed Standard

From: Kathleen Moriarty <[email-masked]>
Date: Mon, 11 Dec 2017 12:19:00 -0500

Dear IANA,

The IANA state on this document, says, Version Changed, review needed.
Could I get a status update please?

Thank you,
Kathleen

On Thu, Oct 12, 2017 at 2:26 PM, Sabrina Tanamal via RT
<[email-masked]> wrote:
> (BEGIN IANA COMMENTS)
>
> IESG/Authors/WG Chairs:
>
> The IANA Services Operator has completed its review of draft-ietf-mile-rolie-10. If any part of this review is inaccurate, please let us know.
>
> The IANA Services Operator understands that, upon approval of this document, there are seven actions which we must complete.
>
> First, in the ns registry on the IETF XML registry page located at:
>
> https://www.iana.org/assignments/xml-registry/
>
> a new namespace will be registered as follows:
>
> ID: rolie-1.0
> URI: urn:ietf:params:xml:ns:rolie-1.0
> Filename: [ TBD-at-registration ]
> Reference: [ RFC-to-be ]
>
> Because this registry requires Expert Review [RFC8126] for registration, we've contacted the IESG-designated expert in a separate ticket to request approval. Expert review should be completed before your document can be approved for publication as an RFC.
>
> Second, in the schema registry also on the IETF XML registry page located at:
>
> https://www.iana.org/assignments/xml-registry/
>
> a new schema will be registered as follows:
>
> ID: rolie-1.0
> URI: urn:ietf:params:xml:ns:rolie-1.0
> Filename: [ TBD-at-registration ]
> Reference: [ RFC-to-be ]
>
> Because this registry also requires Expert Review [RFC8126] for registration, we've contacted the IESG-designated expert in a separate ticket to request approval. Expert review should be completed before your document can be approved for publication as an RFC.
>
> Third, in the IETF URN Sub-namespace for Registered Protocol Parameter Identifiers registry on the Uniform Resource Name (URN) Namespace for IETF Use registry page located at:
>
> https://www.iana.org/assignments/params/
>
> a new parameter identifier will be registered as follows:
>
> Registered Parameter Identifier: rolie
> Reference: [ RFC-to-be ]
> IANA Registry Reference: [ TBD-at-Registration ]
>
> Fourth, a new, top-level registry page will be created called "Resource Oriented Lightweight Information Exchange (ROLIE) Parameters" on the IANA Matrix at:
>
> https://www.iana.org/protocols
>
> On this new registry page, a new registry is to be created called the ROLIE URN Parameters registry. The new registry will be managed via Specification Required as defined in [ RFC 8126 ].
>
> There are initial registrations in the new registry as follows:
>
> Name: category:information-type
> Extension IRI: urn:ietf:params:rolie:category:information-type
> Reference: [ RFC-to-be Section 8.4 ]
> Sub-Registry: None
>
> Name:
> Extension IRI: urn:ietf:params:rolie:
> Reference: [ RFC-to-be ]
> Sub-Registry: https://www.iana.org/assignments/rolie/category/information-type
>
> Name: property:local
> Extension IRI: urn:ietf:params:rolie:property:local
> Reference: [ RFC-to-be Section 7.4 ]
> Sub-Registry: None
>
> Name: category:local
> Extension IRI: urn:ietf:params:rolie:category:local
> Reference: [ RFC-to-be Section 7.1 ]
> Sub-Registry: None
>
> Name: property:content-author-name
> Extension IRI: urn:ietf:params:rolie:property:content-author-name
> Reference: [ RFC-to-be Section 7.4 ]
> Sub-Registry: None
>
> Name: property:content-id
> Extension IRI: urn:ietf:params:rolie:property:content-id
> Reference: [ RFC-to-be Section 7.4 ]
> Sub-Registry: None
>
> Name: property:content-published-date
> Extension IRI: urn:ietf:params:rolie:property:content-published-date
> Reference: [ RFC-to-be Section 7.4 ]
> Sub-Registry: None
>
> Name: property:content-updated-date
> Extension IRI: urn:ietf:params:rolie:property:content-updated-date
> Reference: [ RFC-to-be Section 7.4 ]
> Sub-Registry: None
>
> Fifth, a new registry is to be created called the ROLIE Information Types registry.
>
> We note that the authors request that the registry be created in the following, specific location:
>
> https://www.iana.org/assignments/rolie/category/information-type
>
> The registry is to be located on the Registry Page created in step four above.
>
> The registry is to be managed via Specification Required as defined in [ RFC 8126 ].
>
> We understand that there are no initial registrations in the new registry.
>
> Sixth, in the Well-Known URIs registry located at:
>
> https://www.iana.org/assignments/well-known-uris/
>
> a new URI is to be registered as follows:
>
> URI Suffix: rolie/servicedocument
> Change Controller: IETF
> Reference: [ RFC-to-be ]
>
> Because this registry requires Expert Review [RFC8126] for registration, we've contacted the IESG-designated expert in a separate ticket to request approval. Expert review should be completed before your document can be approved for publication as an RFC.
>
> Seventh, also in the Well-Known URIs registry located at:
>
> https://www.iana.org/assignments/well-known-uris/
>
> a new URI is to be registered as follows:
>
> URI Suffix: rolie/categorydocument
> Change Controller: IETF
> Reference: [ RFC-to-be ]
>
> Because this registry also requires Expert Review [RFC8126] for registration, we've contacted the IESG-designated expert in a separate ticket to request approval. Expert review should be completed before your document can be approved for publication as an RFC.
>
> The IANA Services Operator understands that these seven actions are the only ones required to be completed upon approval of this document.
>
> Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is only to confirm what actions will be performed.
>
>
> Thank you,
>
> Sabrina Tanamal
> IANA Services Specialist
>
> (END IANA COMMENTS)
>

-- 

Best regards,
Kathleen

---

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Mon, 11 Dec 2017 23:58:02 +0000

Hi Kathleen, 

It looks like we're waiting for the  IETF XML experts and chairs to approve. 

One of the IETF XML experts wrote, "I reviewed this document and provided feedback to the working group a few weeks ago, but that discussion stalled. I've poked that thread and will see whether anything has resolved despite me not seeing any activity."

Thank you,

Sabrina Tanamal
IANA Services Specialist

On Mon Dec 11 17:20:04 2017, [email-masked] wrote:
> > The IANA Services Operator has completed its review of draft-ietf-
> > mile-rolie-10. If any part of this review is inaccurate, please let
> > us know.
> >
> > The IANA Services Operator understands that, upon approval of this
> > document, there are seven actions which we must complete.
> >
> > Because this registry requires Expert Review [RFC8126] for
> > registration, we've contacted the IESG-designated expert in a
> > separate ticket to request approval. Expert review should be
> > completed before your document can be approved for publication as an
> > RFC.
> >
> > Because this registry also requires Expert Review [RFC8126] for
> > registration, we've contacted the IESG-designated expert in a
> > separate ticket to request approval. Expert review should be
> > completed before your document can be approved for publication as an
> > RFC.
> >
> > Third, in the IETF URN Sub-namespace for Registered Protocol
> > Parameter Identifiers registry on the Uniform Resource Name (URN)
> > Namespace for IETF Use registry page located at:
> >
> > Fourth, a new, top-level registry page will be created called
> > "Resource Oriented Lightweight Information Exchange (ROLIE)
> > Parameters" on the IANA Matrix at:
> >
> > On this new registry page, a new registry is to be created called the
> > ROLIE URN Parameters registry. The new registry will be managed via
> > Specification Required as defined in [ RFC 8126 ].
> >
> > Sub-Registry:
> > Because this registry requires Expert Review [RFC8126] for
> > registration, we've contacted the IESG-designated expert in a
> > separate ticket to request approval. Expert review should be
> > completed before your document can be approved for publication as an
> > RFC.
> >
> > Because this registry also requires Expert Review [RFC8126] for
> > registration, we've contacted the IESG-designated expert in a
> > separate ticket to request approval. Expert review should be
> > completed before your document can be approved for publication as an
> > RFC.
> >
> > The IANA Services Operator understands that these seven actions are
> > the only ones required to be completed upon approval of this
> > document.
> >
> > Note:  The actions requested in this document will not be completed
> > until the document has been approved for publication as an RFC. This
> > message is only to confirm what actions will be performed.
> >
> >
> > Thank you,
> >
> > Sabrina Tanamal
> > IANA Services Specialist
> >
> > (END IANA COMMENTS)
> >

---

From: Kathleen Moriarty <[email-masked]>
Date: Mon, 11 Dec 2017 21:28:49 -0500

> One of the IETF XML experts wrote, "I reviewed this document and provided feedback to the working group a few weeks ago, but that discussion stalled. I've poked that thread and will see whether any…

The authors have addressed the comments that pertain to the IANA
review and a new revision has been posted.  If you could nudge, that
would be great.

Thank you,
Kathleen

-- 

Best regards,
Kathleen

---

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Tue, 12 Dec 2017 02:30:52 +0000

Hi,
That is my understanding as well, so as the shepherd (and one of the chairs) I am good to push it forward.

Thanks, Nancy

On 12/11/17, 6:28 PM, "Kathleen Moriarty" <[email-masked]> wrote:

    
    Thank you,
    Kathleen

    
    -- 
    
    Best regards,
    Kathleen